curl --request PUT \
--url https://app.revyops.com/api/public/v2/contacts \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"email": "<string>",
"linkedin_url": "<string>",
"phone": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"job_title": "<string>",
"company_id": 123,
"contact_custom_fields_input": [
{
"field_name": "<string>",
"field_value": "<string>"
}
],
"origin": "<string>",
"contact_status": "<string>",
"do_not_contact": "<string>"
}
'import requests
url = "https://app.revyops.com/api/public/v2/contacts"
payload = {
"email": "<string>",
"linkedin_url": "<string>",
"phone": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"job_title": "<string>",
"company_id": 123,
"contact_custom_fields_input": [
{
"field_name": "<string>",
"field_value": "<string>"
}
],
"origin": "<string>",
"contact_status": "<string>",
"do_not_contact": "<string>"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: '<string>',
linkedin_url: '<string>',
phone: '<string>',
first_name: '<string>',
last_name: '<string>',
job_title: '<string>',
company_id: 123,
contact_custom_fields_input: [{field_name: '<string>', field_value: '<string>'}],
origin: '<string>',
contact_status: '<string>',
do_not_contact: '<string>'
})
};
fetch('https://app.revyops.com/api/public/v2/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"updated_time": "2023-11-07T05:31:56Z",
"contact_custom_fields": "<string>",
"first_campaign_email_sent": "2023-11-07T05:31:56Z",
"last_campaign_email_sent": "2023-11-07T05:31:56Z",
"last_reply_received": "2023-11-07T05:31:56Z",
"previous_status": "<string>",
"status_changed_at": "2023-11-07T05:31:56Z",
"total_linkedin_messages_sent": 0,
"first_linkedin_message_sent": "2023-11-07T05:31:56Z",
"last_linkedin_message_sent": "2023-11-07T05:31:56Z",
"total_linkedin_message_replies": 0,
"last_linkedin_message_reply_received": "2023-11-07T05:31:56Z",
"interested_linkedin_message_replies": 0,
"total_linkedin_inmails_sent": 0,
"first_linkedin_inmail_sent": "2023-11-07T05:31:56Z",
"last_linkedin_inmail_sent": "2023-11-07T05:31:56Z",
"total_linkedin_inmail_replies": 0,
"last_linkedin_inmail_reply_received": "2023-11-07T05:31:56Z",
"interested_linkedin_inmail_replies": 0,
"total_linkedin_connection_requests_sent": 0,
"first_linkedin_connection_request_sent": "2023-11-07T05:31:56Z",
"last_linkedin_connection_request_sent": "2023-11-07T05:31:56Z",
"total_linkedin_connections_accepted": 0,
"first_linkedin_connection_accepted": "2023-11-07T05:31:56Z",
"last_linkedin_connection_accepted": "2023-11-07T05:31:56Z",
"email": "<string>",
"linkedin_url": "<string>",
"phone": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"job_title": "<string>",
"company_id": 123,
"origin": "<string>",
"contact_status": "<string>",
"do_not_contact": "<string>"
}{
"id": 123,
"updated_time": "2023-11-07T05:31:56Z",
"contact_custom_fields": "<string>",
"first_campaign_email_sent": "2023-11-07T05:31:56Z",
"last_campaign_email_sent": "2023-11-07T05:31:56Z",
"last_reply_received": "2023-11-07T05:31:56Z",
"previous_status": "<string>",
"status_changed_at": "2023-11-07T05:31:56Z",
"total_linkedin_messages_sent": 0,
"first_linkedin_message_sent": "2023-11-07T05:31:56Z",
"last_linkedin_message_sent": "2023-11-07T05:31:56Z",
"total_linkedin_message_replies": 0,
"last_linkedin_message_reply_received": "2023-11-07T05:31:56Z",
"interested_linkedin_message_replies": 0,
"total_linkedin_inmails_sent": 0,
"first_linkedin_inmail_sent": "2023-11-07T05:31:56Z",
"last_linkedin_inmail_sent": "2023-11-07T05:31:56Z",
"total_linkedin_inmail_replies": 0,
"last_linkedin_inmail_reply_received": "2023-11-07T05:31:56Z",
"interested_linkedin_inmail_replies": 0,
"total_linkedin_connection_requests_sent": 0,
"first_linkedin_connection_request_sent": "2023-11-07T05:31:56Z",
"last_linkedin_connection_request_sent": "2023-11-07T05:31:56Z",
"total_linkedin_connections_accepted": 0,
"first_linkedin_connection_accepted": "2023-11-07T05:31:56Z",
"last_linkedin_connection_accepted": "2023-11-07T05:31:56Z",
"email": "<string>",
"linkedin_url": "<string>",
"phone": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"job_title": "<string>",
"company_id": 123,
"origin": "<string>",
"contact_status": "<string>",
"do_not_contact": "<string>"
}Create or Update Contact
Creates or updates contacts using email, LinkedIn URL, phone, or multiple identifiers as the lookup key. If a contact with a given identifier exists for this client, it will be updated. Otherwise, a new contact is created. company_id accepts an integer ID or a domain string to auto-resolve the company.
Authorizations
Query Parameters
Email to look up. If a contact with this email exists it will be updated; otherwise a new contact is created. Provide only one of email, linkedin_url, or phone.
LinkedIn URL to look up. If a contact with this LinkedIn URL exists it will be updated; otherwise a new contact is created. Provide only one of email, linkedin_url, or phone.
Phone number (E.164) to look up. If a contact with this phone exists it will be updated; otherwise a new contact is created. Provide only one of email, linkedin_url, or phone.
Format of custom fields in response. NESTED returns array of objects with id, field_name, field_value. FLAT returns object with field names as keys.
FLAT, NESTED Body
Response
OK. The contact already existed and was updated.
Was this page helpful?

